# Smart Glocal API (Full) > Auto-generated full documentation content from llms.txt links ## Smart Glocal API > Source: /docs/landing Smart Glocal provides a collection of API methods that enable you to manage payouts and payments. Requests and responses are made in JSON format. We offer a testing environment that you can use to test API calls without involving live data. :::tip[AI-friendly] We now provide [llms.txt](/llms.txt) and [llms-full.txt](/llms-full.txt) to enable seamless integration with AI-powered tools and agents. The llms.txt file offers a compact overview of our site structure and key sections, giving AI models the context they need to understand the project at a glance. The llms-full.txt includes the complete text of each page inline, giving AI assistants immediate access to the full documentation without additional fetches. You can reference these files directly in your AI tools --- no more manual scraping or copy-pasting for every query. ::: Find out more about what we offer: - [Payments](/docs/payments/payment-intro) - [One-time payments by card](/docs/payments/one-time-payment) - [Delayed capture payments](/docs/payments/payment-capture) - [Recurring payments](/docs/payments/payment-recurring) - [Local card payments](/docs/payments/local-cards) - [Local bank-to-bank transfers](/docs/payments/india-accounts) - [Local APMs](/docs/payments/apms/momo) - [Telegram payments](/docs/payments/payment-telegram-bot-use) - [Payment refunds](/docs/payments/payment-refund) - [Our reports](/docs/finance/payouts-daily-report) - [Daily payouts report](/docs/finance/payouts-daily-report) - [Daily payments report](/docs/finance/payment-daily-report) - [Our methods](/docs/reference/methods/session-create) [**Start using our API**](/docs/before) --- ## Quick start > Source: /docs/before To start using our API, complete the following steps: 1. Apply on [Smart Glocal website](https://smart-glocal.com). 2. Chat with your Account Manager at Smart Glocal. - Issue a [private key and a public key](/docs/reference/format#request-signature) and exchange the public keys. - Provide your Account Manager with the IP address of the host from which requests will be sent. If your IP address changes, please notify the Account Manager in advance to avoid possible connectivity issues. - Provide your Account Manager with a URL in your system at which you would like to receive the [webhooks](/docs/reference/webhooks) from Smart Glocal (i.e. notifications of events, for example successful payments and payouts). - Get your project identifier. 3. Perform [testing](/docs/reference/testing) (without real data). 4. Sign an agreement with Smart Glocal. 5. Exchange data for real operations and check that all the operations come through. - For payouts, top up your balance. - Server for live transactions: **proxy.smart-glocal.com** 6. Negotiate your start date and go live. --- ## Dashboard > Source: /docs/dashboard Smart Glocal Dashboard is a tool that allows you to track all transactions --- payments, payouts, and refunds --- across your Smart Glocal integrations. ## Core features In the Dashboard, you can: * view the [list of transactions and download transaction reports in CSV format](#registry) * find transactions using the [date filter or AI search](#searching) * see the [payout balances](#balances) ### Transaction list Click any row in the list to open a panel with the details of a specific transaction. The details include the following data: * **Session ID** * **Transaction ID** * **Type**: payment, payout, refund * **Method**: QR code, bank card * **Amount**: transaction amount * **Status**: transaction status (succeeded, failed, pending, in_progress) * **Date** and time of the transaction creation * **Merchant**: your company name * **Fee**: amount withheld by Smart Glocal for transaction processing * **Antifraud**: service comment (Passed, Failed) To download a **transaction report** for the [filtered period](#searching) in CSV format for further processing or for forwarding to your accounting department, click the **Download CSV** button in the top right corner. In the transaction card you can download a PDF receipt with the following details: masked card number, transaction date and time, status, type (payment, payout, or refund), and other data. You can provide it to your customers as an official confirmation upon request. The feature is already available for all transaction types --- successful payments, payouts, and refunds. ### Date filter and AI search At the top of the transaction list, you will find a period filter. You can select 7 days, 30 days, 90 days, all time, or a custom UTC period. You can also use our AI search: simply enter a query in the search bar and get the most relevant result. For example, you can enter "Transfers over 15,000 euros in the last quarter" in the search bar. ### Payout balances A payout balance is an amount that you can only spend on payouts to partners, clients, and contractors. To top up the payout account balance, please contact your Account Manager at Smart Glocal. You can use a single account for all payout types or create a dedicated account for each type. To view payout accounts, select the Balances section on the left panel. On the page that opens, you will see a carousel displaying all your payout accounts. When an account is selected, a statement for that account appears below. ## How to get access To get access to the Dashboard, contact your Account Manager at Smart Glocal. The access authorization document is signed by the company's director or Ultimate Beneficial Owner (UBO). Once the document is signed, the director or UBO receives administrator access to the Dashboard. From there, the administrator can provide access for their employees in the following steps: 1. Open the **Users** tab in the Dashboard. 2. Send an invitation to an employee's email, selecting their role. 3. The employee receives the invitation, sets up their account, and logs in with the assigned role. The Dashboard administrator will be able to: - add, re-invite, remove, or manage user accounts - block, delete, and restore a user's access to the Dashboard - reset a user's password if needed **Permission matrix** Below are the currently available roles, the list will be expanded as new functionality is added. You can assign multiple roles to a single user, as well as restrict their access to specific projects within the company. **How to log in:** 1. Wait for an email from Smart Glocal to your corporate email address provided during registration. The email will contain your first login credentials: **login (your email) and temporary password (a generated character combination)**. 2. Follow the link in the email. 3. Upon first login, change the temporary password to a permanent one and complete two-factor authentication --- it is mandatory for all users. 2FA protects your account even if your password is compromised --- access is impossible without confirmation from your device. For any questions regarding onboarding, please contact your Smart Glocal manager. --- ## API interaction > Source: /docs/reference/format ## API version Currently, two API versions are supported. >Please use the correct names for each version! | API v1 | API v2 | |--------------------|--------------------| | payment_method | **payout_details** | | payments | **payout_list** | | acquiring_payments | **payment_list** | ## Endpoint #### How to generate a request + /api/v{API version number} + Example: **API v1**: https://demo.smart-glocal.com/api/v1/session/start/payout **API v2**: https://demo.smart-glocal.com/api/v2/session/start/payout #### Server address - For testing: https://demo.smart-glocal.com - For live transactions: https://proxy.smart-glocal.com ## Request format All the data in requests to Smart Glocal and notifications from Smart Glocal is transmitted using the HTTP POST/GET methods. Message parameters are packed into a JSON object. ## Authentication In the headers of your requests to Smart Glocal, always pass the following data for authentication: - your project identifier - request signature #### Headers | Name | Mandatory | Type | Description | | --------------------- | --------- | ------ | ------------------------------------------------------------- | | X-PARTNER-PROJECT | + | string | Project identifier (from your Account Manager) | | X-PARTNER-SIGN | + | string | [Request signature](/docs/reference/format#request-signature) | | X-PARTNER-SUBMERCHANT | - | string | Submerchant identifier | #### Request example with authentication ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/create \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ // request body }' ``` ### Request signature The signature is needed to verify the authenticity and integrity of requests. Smart Glocal verifies that the requests received are in fact from you (and are complete); you verify Smart Glocal's notifications the same way. To create and verify a signature, you will need a private key and a public key. Using your public key Smart Glocal will verify signatures of your incoming requests. #### Generating a key pair You need to generate a pair of keys on your side using the RSA signature algorithm. #### Creating request body signature The signature must be transmitted together with the request to Smart Glocal. You need to sign the request body as a whole in the form in which it is sent to Smart Glocal's server (after serializing the request body into JSON to send it over HTTP). Use your private key for signing the request. Create a signature using the SHA-256 algorithm. The resulting signature must then be transmitted in the Base64 format. #### Verifying incoming requests from Smart Glocal All outgoing requests from Smart Glocal are signed using Smart Glocal's own private key. Using Smart Glocal's public key, you need to verify the signatures of the requests coming from Smart Glocal on your side. The algorithm used is SHA-256. The signature is transmitted in the Base64 format. ### Smart Glocal's public keys - [for live transactions](/assets/smgl_public.pem) - [for testing](/assets/smgl_public_demo.pem) ### Signature generation and validation examples ```openssl showLineNumbers # Generating a private key $ openssl genrsa -out private.pem 2048 # Generating a public key based on the private key $ openssl rsa -in private.pem -pubout > public.pem # Creating myfile.txt file contents $ echo test > myfile.txt # Generating a signature $ openssl dgst -sha256 -sign private.pem -out sha256.sign myfile.txt # Signature ready for transfer $ base64 sha256.sign # Checking the signature $ openssl dgst -sha256 -verify public.pem -signature sha256.sign myfile.txt Verified OK ``` ```php showLineNumbers $data = "test"; //Obtaining the pointer to the private and public keys $privateKey = openssl_pkey_get_private("file://private.pem"); $publicKey = openssl_pkey_get_public("file://public.pem"); //Generating a signature based on the data using the private key openssl_sign($data, $signature, $privateKey, OPENSSL_ALGO_SHA256); openssl_free_key($privateKey); //Encoding the signature into Base64 to transmit it $base64Signature = base64_encode($signature); //On receiving the signature, decoding it from Base64 $decodedSignature = base64_decode($base64Signature); //Validating the received signature using the public key (success = 1) $isValid = openssl_verify($data, $decodedSignature, $publicKey, OPENSSL_ALGO_SHA256); ``` ## Idempotency key An idempotency key is a unique request identifier. You can generate it and use it to ensure that no request with the same unique identifier is attempted more than once. For example, this way you can avoid duplicate payments and payouts. The idempotency key lifetime is 24 hours. ### Format Specify the idempotency key in the request header. | Name | Mandatory | Type | Description | | ----------------- | -------------- | ------ | ---------------------------------------------------- | | X-PARTNER-IDEMPOTENCY-KEY | - | string | Idempotency key (from 4 to 64 characters) | ### Example of a request with an idempotency key ```json showLineNumbers curl -X POST \ https://proxy.smart-glocal.com/api/v1/session/create \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -H 'X-PARTNER-IDEMPOTENCY-KEY: idempotency_key' \ -d '{ // request body }' ``` Methods supporting the idempotency key feature - [session/create](/docs/reference/methods/session-create) - [session/init/payout](/docs/reference/methods/session-init-payout) - [session/start/payout](/docs/reference/methods/session-start-payout) - [session/init/payment](/docs/reference/methods/session-init-payment) - [session/start/payment](/docs/reference/methods/session-start-payment) - [session/confirm](/docs/reference/methods/session-confirm) - [session/capture](/docs/reference/methods/session-capture) - [session/cancel](/docs/reference/methods/session-cancel) - [session/refund](/docs/reference/methods/session-refund) Errors - idempotency_key_params_mismatch - The key has already been used for another session - idempotency_key_already_exists - The previous request with the same key is still in progress - idempotency_key_not_supported - This method cannot be used with an idempotency key See more about the [Errors](/docs/reference/errors) --- ## Testing > Source: /docs/reference/testing Before performing operations with real money, you need to test everything in the test environment. The [interaction format](/docs/reference/format) and the way you make requests are the same as when working with actual data. The only two things that are different are the server address (https://demo.smart-glocal.com) to send requests to and the Smart Glocal [public key](/assets/smgl_public_demo.pem) to use. ## Data for test operations ### Bank cards > During testing, use at least one 3D Secure card and at least one not protected by 3D Secure. #### With 3D Secure - 2200774546102058 - 4000000000000002 - 5500000000000004 >To go successfully through 3D Secure, specify 12345. >To fail the procedure, specify any other value. #### Without 3D Secure - 4242424242424242 - 5101180000000007 ### Wallet Any value. ### Bank account Any value. ## Testing unsuccessful operations By default, all operations are successful. To test an unsuccessful scenario, specify one of the below values in the reference field of the [customer](/docs/reference/objects#customer) object. | Value | Result | | ----- | ---------------------------------------------------------------------------------------------------------------- | | thief (for payments only) | The payment will be canceled when the money is put on hold | | loser (for payments and payouts) | The payment will be canceled when the funds on hold are debited; the payment will fail | --- ## Payments > Source: /docs/payments/payment-intro Below is information you need to know before you start accepting payments. ## Countries and currency You can accept payments in **USD** from any country except those mentioned in the list below. Minimum transaction amount: **$10** Maximum transaction amount: **$1,000** Countries/regions you cannot accept payments from - Afghanistan - Belarus - Canada - Central African Republic - Crimea, Donetsk, Luhansk (Ukraine) - Cuba - DR Congo - Iran - North Korea - Mali - Myanmar - Sudan (North) - Syria - UK - US - Venezuela - Yemen - Zimbabwe [Parameters you need to pass when accepting a payment](/docs/payments/params) ### Types of cards accepted globally - **Mastercard** - **Visa** Please check with your Account Manager whether or not the cards below are available for accepting payments. - **Discover** - **JCB** ### Types of cards accepted locally - [Brazil](/docs/payments/brazil-cards): **American Express**, **ELO** - [Chile](/docs/payments/chile-cards): **American Express**, **CMR**, **Mach** - [Colombia](/docs/payments/colombia-cards): **Diners Club**, **Maestro Debit**, **Codensa** - [India](/docs/payments/india-cards): **American Express**, **Diners Club**, **Maestro Debit**, **RuPay** - [Indonesia](/docs/payments/indonesia-cards): **American Express**, **Maestro Debit**, **JCB** - [Mexico](/docs/payments/mexico-cards): **American Express**, **Carnet Credit**, **Carnet Debit** - [Nigeria](/docs/payments/nigeria-cards): **Verve** - [Thailand](/docs/payments/thailand-cards): **UnionPay**, **Diners Club**, **JCB** - [Turkiye](/docs/payments/turkiye-cards): **American Express**, **Maestro Debit**, **Discover**, **Troy** - [Vietnam](/docs/payments/vietnam-cards): **Napas** ## Payments you can make Currently, the following payments are available: - [One-time payments by card](/docs/payments/one-time-payment) - [Delayed capture payments](/docs/payments/payment-capture) - [Local card payments](/docs/payments/local-cards) - [Local bank-to-bank transfers](/docs/payments/india-accounts) - [Local APMs](/docs/payments/apms/momo) - [Recurring payments](/docs/payments/payment-recurring) - [Telegram payments](/docs/payments/payment-telegram-bot-use) - [Payment refunds](/docs/payments/payment-refund) ## Merchant of Record Smart Glocal can act as the Merchant of Record (MoR) for your business. In the MoR model, Smart Glocal acts as the legal seller of record for each transaction, taking end-to-end financial and legal responsibility. #### Smart Glocal handles: - **Transaction execution**: processing payments, issuing confirmations, and generating receipts for your customers - **Tax and compliance**: tax registration, accurate collection, and remittance in confirmed jurisdictions - **Post-sale management**: risk management, chargebacks, disputes, and payment-related customer support #### You retain: - Full ownership of your product and the customer relationship - Net revenue (after settlement) This way you avoid the heavy compliance infrastructure and legal overhead typically required for cross-border selling. >Currently, the MoR model only applies to the sale of products subject to VAT at the standard rate. [Payment parameters you need in the MoR model](/docs/payments/mor) ## Widget and payment page Smart Glocal offers two solutions to processing payments: the [payment widget](/docs/widget/payment-widget) and the [payment page](/docs/payments/payment-page). Study the [detailed comparison](/docs/payments/payment-solutions) to choose which solution best suits your business needs. ## PCI DSS compliance You can pass card details with open parameters or use our [payment widget](/docs/widget/payment-widget). In both cases, you must comply with the PCI DSS requirements. ## Card identifier > To enable this functionality, please contact your Account Manager at Smart Glocal. If you do not store bank card details on your side and you need to understand which card the user is using and whether users' cards overlap, you can use the card identifier feature. > If you have multiple projects ([X-PARTNER-PROJECT](/docs/reference/format#authentication)), a card identifier may be the same or different for each project. Please inform your Account Manager which option you prefer. A card identifier is unique and is generated based on the card number and its expiration date. Its value is passed in the [card_id](/docs/reference/objects#card) parameter. This parameter can be passed during payments, recurring payments, and refunds. > A card identifier can not be used for making payments or for getting all linked cards. A card identifier is not a replacement for a token --- if you use a token, you will receive both. ## Prices The prices for acquiring are given in your agreement with Smart Glocal. You can discuss them with your Account Manager. --- ## Payment parameters > Source: /docs/payments/params When you accept a payment from [these countries](/docs/payments/payment-intro#countries), make sure you pass all the required parameters. :::info[] Currently, only one-time payments are available. ::: ## Payments through our widget If you use our payment widget, when you [create a session](/docs/widget/payment-widget#making-a-payment-using-the-widget), make sure you pass the following parameters with sender information: - full_name - first_name - last_name - city - street - ipv4 - postal_code (up to 6 digits) - email :::info[] If you do not pass these parameters, we will generate them on our own (except for the first and last names), but the conversion rate might be worse. ::: #### Example of a session/create request ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v2/session/create \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 10000, "currency": "usd" }, "participant_details": { "sender": { "full_name": "Helen Adams", "first_name": "Helen", "last_name": "Adams", "city": "Miesenbach", "street": "Templstrasse 8", "ipv4": "112.34.152.137", "postal_code": "93401", "email": "helen.adams@hotmail.com" } } }' ``` ## Payments without our widget When you make a payment, make sure you pass the following parameters with sender information: - full_name - first_name --- mandatory - last_name --- mandatory - city - street - ipv4 --- mandatory - postal_code (up to 6 digits) - email You can pass these parameters within any of the methods: - session/create - session/start/payment - session/init/payment :::info[] If you do not pass these parameters, we will generate them on our own (except for the first and last names), but the conversion rate might be worse. ::: #### Example of a session/create request ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v2/session/create \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 10000, "currency": "usd" }, "participant_details": { "sender": { "full_name": "Helen Adams", "first_name": "Helen", "last_name": "Adams", "city": "Miesenbach", "street": "Templstrasse 8", "ipv4": "112.34.152.137", "postal_code": "93401", "email": "helen.adams@hotmail.com" } } }' ``` --- ## Parameters required in the MoR model > Source: /docs/payments/mor If you work with Smart Glocal according to the [Merchant of Record model](/docs/payments/payment-intro#mor), make sure you pass all the parameters required to calculate tax correctly and to send confirmations and receipts. To make a payment, complete the [standard steps](/docs/payments/one-time-payment). ## Required parameters The parameters listed below are not the complete set of fields you need to transmit. They represent only the required parameters necessary in the MoR model. [Check all the parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |------------------------------------|--------|--------------------------------------------------------------------| | items | array | [Purchased product/service details](/docs/reference/objects#items) | |   id | string | Product UUID in your system | |   name | string | Product name | |   amount_details | object | [Amount details](/docs/reference/objects#amount_details) | |     amount | int | Amount | |     currency | string | ISO 4217 currency code. Case insensitive | |   quantity | int | Quantity of product items | |   category_code | string | Product item category. Always: general | | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     country_iso3 | string | Payer's country | |     email | string | Payer's email address | |     postal_code | string | Payer's postal code (for the USA only) | #### Sample request ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v2/session/create \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 10000, "currency": "usd" }, "items": [{ "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "name": "white box", "amount_details": { "amount": 5000, "currency": "eur" }, "quantity": 1, "category_code": "general" }, { "id": "f47ac10b-58cc-4372-a567-0e02b2c3d475", "name": "Black box", "amount_details": { "amount": 100, "currency": "eur" }, "quantity": 50, "category_code": "general" }], "participant_details": { "sender": { "country_iso3": "USA", "postal_code": "postal code", "email": "helen.adams@hotmail.com" } } }' ``` --- ## One-time payments > Source: /docs/payments/one-time-payment Below you will find two general scenarios of how to make a one-time payment. You can pass card details with open parameters or use the payment form. In both cases, you must comply with the PCI DSS requirements. > All API operations are carried out within a [payment session](/docs/reference/objects#payment_session). One payment session can include several operations: for example, you can accept and then refund a payment. :::info[] Check the [parameters](/docs/payments/params) you need to pass when accepting a payment from [these countries](/docs/payments/payment-intro#countries). ::: To create a one-time payment, complete the following steps: 1. Create a payment session sending a [session/create](/docs/reference/methods/session-create) request. >Alternatively, you can use the [session/init/payment](/docs/reference/methods/session-init-payment) method. In this case, specify all the payment parameters right away and skip the next step. 2. Send a [session/start/payment](/docs/reference/methods/session-start-payment) request to start the payment. 3. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. When you receive it, it means that Smart Glocal is ready to make the payment and is waiting for your confirmation. 4. Send a [session/confirm](/docs/reference/methods/session-confirm) request or a [session/cancel](/docs/reference/methods/session-cancel) request to confirm or cancel the operation. 5. If you receive an [action_required](/docs/reference/webhooks/action-required) webhook, it means that you need to take an additional action to perform the payment. For instance, the user might need to go through 3D Secure. Redirect the user for 3D Secure authentication using the link from the webhook. 6. Wait for a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the result of the payment. If the [status](/docs/reference/objects#status) is succeeded, the payment was successful. #### Sequence diagram of payments without use of the payment form ![SequencePCIDSS](/img/docs/payment_pcidss.png) ```plantuml @startuml Payment autonumber header Payment participant Partner participant Smart_Glocal as SG participant ACS Partner -> SG: sends ""session/create"" SG -> SG: creates a session SG --> Partner: sends 200 OK Partner -> SG: sends ""session/start/payment"" SG -> SG: starts the payment SG --> Partner: sends 200 OK SG -> Partner: sends ""ready_to_confirm"" webhook Partner --> SG: sends 200 OK Partner -> Partner: checks the details Partner -> SG: sends ""session/confirm"" SG --> Partner: sends 200 OK SG -> SG: checks if the card is \n involved in 3D Secure alt #faf1d7 The card is involved in 3d Secure SG -> Partner: sends ""action_required"" Partner --> SG: sends 200 OK Partner -> ACS: redirects the user for passing 3D Secure ACS -> SG: sends 3D Secure results end SG -> SG: withdraws the funds SG -> Partner: sends ""payment_finished"" Partner --> SG: sends 200 OK @enduml ``` To create a one-time payment using our payment widget, complete the following steps: 1. Complete [Steps 1 -- 5](/docs/widget/payment-widget#making-a-payment-using-the-widget). 2. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. When you receive it, it means that Smart Glocal is ready to make the payment and is waiting for your confirmation. 3. Send a [session/confirm](/docs/reference/methods/session-confirm) request or a [session/cancel](/docs/reference/methods/session-cancel) request to confirm or cancel the operation. > If you receive an action_required webhook, send the HTTP 200 OK in response but do nothing, as the user will be redirected for 3D Secure within the widget. 4. Wait for a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the result of the payment. If the [status](/docs/reference/objects#status) is succeeded, the payment was successful. #### Sequence diagram of payments with the payment widget ![SequenceWidget](/img/docs/payment_widget.png) ```plantuml @startuml Payment with the widget autonumber header Payment with the widget participant Partner participant Smart_Glocal as SG participant SG_Widget as sgw participant ACS Partner -> SG: sends ""session/create"" SG -> SG: creates a session SG --> Partner: sends 200 OK Partner -> SG: requests public token SG -> SG: creates a token SG --> Partner: sends 200 OK and token details Partner -> sgw: calls ""render()"" rnote over sgw The user interacts with the widget endrnote sgw -> SG: initiates payment SG -> Partner: sends ""ready_to_confirm"" Partner --> SG: sends 200 OK Partner -> Partner: checks the details Partner -> SG: sends ""session/confirm"" SG --> Partner: sends 200 OK SG -> SG: checks if the card is \n involved in 3D Secure alt #faf1d7 The card is involved in 3d Secure SG -> sgw: sends data required for 3D Secure sgw -> ACS: redirects the user for passing 3D Secure ACS -> SG: sends 3D Secure results end SG -> SG: withdraws the funds SG -> Partner: sends ""payment_finished"" Partner --> SG: sends 200 OK SG -> sgw: sends payment details sgw -> sgw: shows payment status @enduml ``` --- ## Delayed capture payments > Source: /docs/payments/payment-capture Delayed capture payments are widely used nowadays by all sorts of vendors as the delayed capture feature provides a number of benefits. For example, delayed capture payments allow you to: - Prevent fraud by giving you enough time to verify a customer's credentials before delivering a product or service. - Charge customers after delivering them products or services. - Reduce the number of chargebacks and refunds in case the transaction ends up canceled. ## How it works All payments consist of two key processes: authorization (when the bank verifies if the needed amount is available and places a hold on this amount) and capture (when the bank clears the payment and debits it). In case of regular payments, these two processes happen almost at the same time and are not perceived by end users. In case of delayed capture payments, however, you authorize the card, but wait to capture the funds. So, the funds are kept blocked on the user's card till your instruction to debit them. ## How to enable delayed capture payments If you would like to perform payments with delayed capture, please contact your Account Manager on the matter. ## How long the hold period is By default, the money is held for **3 days 23 hours**. If you do not debit or unblock it before the end of this period, the money will get unblocked automatically. If you need the money to be debited rather than unblocked after the hold period end or the money to be held for a different period, please contact your Account Manager. ## How to make a delayed capture payment Below you will find two ways of making a delayed capture payment. To create a delayed capture payment, complete the following steps: 1. Create a payment session sending a [session/create](/docs/reference/methods/session-create) request. >Alternatively, you can use the [session/init/payment](/docs/reference/methods/session-init-payment) method. In this case, specify all the payment parameters right away and skip the next step. 2. Send a [session/start/payment](/docs/reference/methods/session-start-payment) request to start the payment. 3. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook, which means that Smart Glocal is ready to perform the payment and is waiting for your confirmation. 4. Send a [session/confirm](/docs/reference/methods/session-confirm) request to confirm the operation or a [session/cancel](/docs/reference/methods/session-cancel) request to cancel the payment. 5. If you receive an [action_required](/docs/reference/webhooks/action-required) webhook, it means that you need to take an additional action to perform the payment. For instance, the user might need to go through 3D Secure. Redirect the user for 3D Secure authentication using the link from the webhook. 6. Wait for a [ready_to_capture](/docs/reference/webhooks/ready-to-capture) webhook from Smart Glocal. It means that a hold has been successfully placed on the amount. You can capture the amount immediately or later. 7. When the time is ready, capture the amount put on hold ([session/capture](/docs/reference/methods/session-capture)) or decline the payment ([session/cancel](/docs/reference/methods/session-cancel)) unblocking the amount. 8. Wait for a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the result of the payment. If the [status](/docs/reference/objects#status) is succeeded, the payment was successful. ### Sequence diagram of delayed capture payments with open parameters ![DelayedCapturePCIDSS](/img/docs/delayed_capture_pcidss.png) ```plantuml @startuml Delayed capture payment autonumber header Delayed capture payment participant Partner participant Smart_Glocal as SG participant ACS Partner -> SG: sends ""session/create"" SG -> SG: creates a session SG --> Partner: sends 200 OK Partner -> SG: sends ""session/start/payment"" SG -> SG: starts the payment SG --> Partner: sends 200 OK SG -> Partner: sends ""ready_to_confirm"" webhook Partner --> SG: sends 200 OK Partner -> Partner: checks the details Partner -> SG: sends ""session/confirm"" SG --> Partner: sends 200 OK SG -> SG: checks if the card is \n involved in 3D Secure alt #faf1d7 The card is involved in 3d Secure SG -> Partner: sends ""action_required"" Partner --> SG: sends 200 OK Partner -> ACS: redirects the user for passing 3D Secure ACS -> SG: sends 3D Secure results end SG -> SG: holds the funds SG -> Partner: sends ""ready_to_capture"" webhook Partner --> SG: sends 200 OK Partner -> SG: sends ""session/capture"" SG --> Partner: sends 200 OK SG -> SG: debits the funds SG -> Partner: sends ""payment_finished"" Partner --> SG: sends 200 OK @enduml ``` To create a delayed capture payment using our payment widget, complete the following steps: 1. Complete [Steps 1 -- 5](/docs/widget/payment-widget#making-a-payment-using-the-widget). 2. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. When you receive it, it means that Smart Glocal is ready to make the payment and is waiting for your confirmation. 3. Confirm ([session/confirm](/docs/reference/methods/session-confirm)) or cancel the payment ([session/cancel](/docs/reference/methods/session-cancel)). > If you receive an action_required webhook, send the HTTP 200 OK in response but do nothing, as the user will be redirected for 3D Secure within the widget. 4. Wait for a [ready_to_capture](/docs/reference/webhooks/ready-to-capture) webhook from Smart Glocal. It means that a hold has been successfully placed on the amount. You can capture the amount immediately or later. 5. When the time is ready, capture the amount put on hold ([session/capture](/docs/reference/methods/session-capture)) or decline the payment ([session/cancel](/docs/reference/methods/session-cancel)) unblocking the amount. 6. Wait for a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the result of the payment. If the [status](/docs/reference/objects#status) is succeeded, the payment was successful. ### Sequence diagram of delayed capture payments with the payment widget ![DelayedCaptureWidget](/img/docs/delayed_capture_widget.png) ```plantuml @startuml Delayed capture payment with the widget autonumber header Delayed capture payment with the widget participant Partner participant Smart_Glocal as SG participant SG_Widget as sgw participant ACS Partner -> SG: sends ""session/create"" SG -> SG: creates a session SG --> Partner: sends 200 OK Partner -> SG: requests public token SG -> SG: creates a token SG --> Partner: sends 200 OK and token details Partner -> sgw: calls ""render()"" rnote over sgw The user interacts with the widget endrnote sgw -> SG: initiates payment SG -> Partner: sends ""ready_to_confirm"" Partner --> SG: sends 200 OK Partner -> Partner: checks the details Partner -> SG: sends ""session/confirm"" SG --> Partner: sends 200 OK SG -> SG: checks if the card is \n involved in 3D Secure alt #faf1d7 The card is involved in 3d Secure SG -> sgw: sends data required for 3D Secure sgw -> ACS: redirects the user for passing 3D Secure ACS -> SG: sends 3D Secure results end SG -> SG: holds the funds SG -> Partner: sends ""ready_to_capture"" webhook Partner --> SG: sends 200 OK Partner -> SG: sends ""session/capture"" SG --> Partner: sends 200 OK SG -> SG: withdraws the funds SG -> Partner: sends ""payment_finished"" Partner --> SG: sends 200 OK SG -> sgw: sends payment details sgw -> sgw: shows payment status @enduml ``` --- ## Instant bank-to-bank transfers in India > Source: /docs/payments/india-accounts You can use India's Unified Payments Interface (UPI) to make instant bank-to-bank transfers via mobile apps using QR codes or UPI IDs without entering card details. Currency: **INR** and **USD** Minimum payment amount: **1 INR** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). ### Mandatory parameters >Note that some parameters below are extra to those required for a standard payment. Please do not forget to get all the required sender data on your own. | Name | Type | Description | |---------------------------------------|--------|--------------------------------------------------------------------------------------------------------| | payment_details | object | [Payment data](/docs/reference/objects#payment_details) | |   type | string | Always: bank_account | |   bank_account | object | [Payer's account description](/docs/reference/objects#bank_account) | |     system_type | string | Always: upi | |     upi | object | Always: {} | | participant_details | object | [Participant details](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @, the total length must not exceed 100 characters) | |     document | string | Document (up to 30 characters) | |     msisdn | string | Phone number (up to 15 characters, without + ) | |     state | string | Sender's state (up to 10 characters) | |     city | string | Sender's city (3 -- 50 characters) | |     street | string | Sender's street (4 -- 100 characters) | |     building | string | Building number | | amount_details | object | [Payment amount details](/docs/reference/objects#amount_details) | |   amount | int | Payment amount in minor units. To pay 100 INR, write 10000 | |   currency | string | ISO 4217 currency code. Case insensitive. Options: inr, usd | | metadata | object | Additional information | |   key | string | Metadata | | customer | object | [User details](/docs/reference/objects#customer) | |   reference | string | Sender reference identifier | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "bank_account", "bank_account": { "system_type": "upi", "upi": {} } }, "participant_details": { // highlight-start "sender": { "full_name": "Ram Devi", "email": "ramdevi@example.com", "document": "HSECT4378A", "msisdn": "8826320796", "state": "Goa", "city": "Goa", "street": "Maddo Vaddo", "building": "1207" } // highlight-end }, "amount_details": { "amount": 10000, // highlight-next-line "currency": "inr" }, "metadata": { "key": "value" }, "customer": { "reference": "qwiqwi" } }' ``` ### Screen examples After the action_required webhook is received, the user will be redirected to the bank's/payment system's app to confirm the payment. Below is an example of the app interface. ![success](/img/docs/payments/app-screens.png) --- ## Payment refunds > Source: /docs/payments/payment-refund You can return a successful payment to the sender as follows: - Within the **refund** operation --- this is the most commonly encountered situation, the payment can be returned totally or partially. >Please check with your Account Manager if partial refunds are enabled for you. - Within the **chargeback** procedure --- this procedure cannot be initiated by the merchant, a notification about it is sent by Smart Glocal. In this case, the amount is withdrawn from the compensation. :::warning[] For payments accepted from [these countries](/docs/payments/payment-intro#countries), you can request a refund only the next day after the payment. ::: ## How to perform a refund ### Step 1. Send a refund request To perform a refund, send a [session/refund](/docs/reference/methods/session-refund) request. In the session_id field, pass the identifier of the successful [payment session](/docs/reference/objects#payment_session) for the payment you need to refund. In amount_details.amount, specify the amount of the refund. If you leave this blank, the money will be refunded in full. #### Request example ```json {9} showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/refund \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id":"ps_3230", "amount_details": { "amount": 1000, "currency": "usd" } }' ``` ### Step 2. Wait to be notified of the results After the refund is completed, Smart Glocal will send you a [payment_refunded](/docs/reference/webhooks/payment-refunded) webhook with the results. #### Webhook example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "type": "payment_refunded", "session": { "id": "ps_3230", "status": "accepted", "created_at": "2024-05-27T02:03:00.000000Z", "updated_at": "2024-05-27T02:03:00.000000Z", "acquiring_payments": [{ "id": "pm_2705", // highlight-next-line "status": "succeeded", "created_at": "2024-05-27T02:03:00.000000Z", "finished_at": "2024-05-27T02:03:00.000000Z", "customer": { "reference": "lucky" }, "payment_details": { "type": "card", "card": { "brand": "visa", "last4": "7890" } }, "amount_details": { "amount": 1000, "currency": "usd" }, "metadata": "good", "refunds": [{ "id": "rf_203", "status": "accepted", "created_at": "2024-05-27T02:03:00.000000Z", "finished_at": "2024-05-27T02:03:00.000000Z", "amount_details": { "amount": 1000, "currency": "usd" } }], "transaction_info": { "rrn": "425307614918" } }] } }' ``` --- ## Payment solutions > Source: /docs/payments/payment-solutions Below is the information you need to make the right choice between Smart Glocal payment page and payment widget. Smart Glocal offers two solutions for processing payments: the [payment widget](/docs/widget/payment-widget) and the [payment page](/docs/payments/payment-page). | | Widget | Payment page | | ---------- | --------- | ------ | | **Integration** | Development required: you'll need to create sessions and handle the widget initialization and rendering on your side | Fast launch: all you need is to create a payment link, then the customer is redirected to the payment page and returns to your site after a payment attempt. The payment link can even be shared via a messenger | | **Payment interface** | The widget UI is customizable: you can edit all texts, set up your fonts and colors. Note: the appearance of values typed inside the card iframe cannot be changed yet | The UI is provided by the page, you can only select the light or dark scheme | | **Embedding the payment form** | Yes: the widget is embedded directly into your page (rendered in a container/iframe) | No: the payment page is a hosted, redirect-based solution and cannot be embedded | | **Payment methods** | Supports only a single payment method (you need to choose and set up the payment method on your side) | Multiple payment methods available. The customer can select the payment method when placing the order | | **Payment attempts and conversion** | If a payment fails, the customer needs to start the payment over | If a payment fails, the customer can retry on the same page, no actions needed on your side | | **Currencies** | Multiple currencies supported. The widget can show the converted target amount at a guaranteed rate, and shows how long the rate is held | Single currency only, without conversion | #### What to choose for your payments Choose the [payment widget](/docs/widget/payment-widget) in case: - You need currency conversion support. - You want to embed the payment form on your website with iframe. Choose the [payment page](/docs/payments/payment-page) in case: - You need simple integration of the payment solution. - You need support of several payment methods out-of-the-box. - You want to be able to send the payment link in a messenger. --- ## Payment page for accepting payments > Source: /docs/payments/payment-page Smart Glocal payment page is a ready-to-use solution for accepting payments. It works as both an on-site checkout page and a [shareable payment link](#manual_payment_link) via a [simple API](#API). ## Payment page for your customer Your customer places an order on your website, then gets redirected to the payment page, and we handle everything from there. You have the options to let the customer select the preferred payment method or specify the payment method directly in the [request](#payment_link). If the first payment attempt fails, the page automatically prompts a retry at the same link --- no page reload needed, so you do not lose the customer. A new payment session is created automatically, no action on your part is needed. You will receive a [daily report on successful payments](/docs/finance/payment-daily-report). You can select the color theme that best fits your service's interface so that the payment page feels like part of your website. Light and dark themes supported ## Generating a payment link The same API can be used not only for an on-site checkout, but also to generate standalone payment links --- for example, to share with customers directly via email, messengers, or social media. This is particularly convenient for: - **Email campaigns** --- generate a link per recipient and embed it in your mailer - **Social media/messengers** --- post the link in a story, bio, or send it directly in a chat - **Chatbots** --- connect the API call to your Telegram or WhatsApp bot so it issues a fresh payment link on demand - **Manual invoicing** --- generate a link in Postman, copy it, send it in any way you like :::info[Important!] Please contact your Smart Glocal manager to set up this feature for your business. ::: To use this feature, call the [POST/payment_link](#payment_link) method using one of the following approaches: - **HTTP client** (e.g., Postman) --- send the request manually, copy payment_page_url from the response, and paste it wherever you need: an email, a social media post, a messenger chat. - **No-code automation platform** (e.g., Make or Zapier) --- set up a scenario that calls the API automatically and passes the link to your mailer, Telegram bot, or any other channel. :::warning[Description is required] You should always provide a clear, detailed description of the product or service being paid for. This is required for payment processing and helps avoid disputes, chargebacks, and complications with refunds. ::: Each link does not expire if a payment attempt fails. In this case, a new payment session will be created automatically once the customer retries the payment, there is no need to generate a new payment link. ## How to process payments via API #### Step 1. Create a payment link ([POST/payment_link](#payment_link)) Send a [POST/payment_link](#payment_link) request to create a payment link. In the request, specify the amount, currency, item list, and (optionally) payment methods. In response, you will receive a payment link, which you can then provide to the customer. :::note[] A payment link remains valid during the time specified in the active_to field or until you get an [order_finished](/docs/reference/webhooks/order-finished) webhook, whichever happens first. ::: [Learn more on the request format](/docs/reference/format) Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/payment_link \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ // highlight-start "amount_details": { "amount": 10000, "currency": "eur" // highlight-end }, "customer": { "reference": "customer" }, // highlight-start "payment_methods": [{ "type": "faster_payment_system" }], // highlight-end "payment_options": { "success_return_url": "https://test.dev", "failure_return_url": "https://test.dev" }, // highlight-next-line "items": [{ "amount_details": { "amount": 10000, "currency": "eur" }, "id": "5179a750-c0b0-4211-b3b1-12a72242b1a4", "name": "Premium Pro subscription", "quantity": 1 }], "metadata": { "internal_id": "x-123-456", "extra": "z-aaa-bbb" }, "description": "Payment #x-123-456 by shop1.com" }' ``` #### Step 2. Forward the customer By any convenient means, direct the customer to the payment page using the payment link. #### Step 3. Wait for a webhook confirming the payment is ready Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. This means that the payment can be performed and Smart Glocal is waiting for you to confirm. It will contain the user identifier (customer.reference) and your identifiers (metadata), if you passed these parameters in the [POST/payment_link](#payment_link) request. The webhook also provides session.id, which you can then use to start polling the payment status (using the [session/status](/docs/reference/methods/session-status) method) if needed. Verify that the details in the webhook are correct and send HTTP 200 OK in response. Webhook example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'content-type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "type": "ready_to_confirm", // highlight-start "session": { "id": "ps_3230", // highlight-end "status": "in_progress", "created_at": "2024-05-27T02:03:00.000000Z", "updated_at": "2024-05-27T02:03:00.000000Z", "next_action": "confirm", "acquiring_payments": [{ "id": "pm_1313", "status": "pending", "created_at": "2024-05-27T02:03:00.000000Z", // highlight-start "customer": { "reference": "customer" }, // highlight-end "payment_details": { "type": "card", "card": { "last4": "7890", "brand": "visa" } }, "amount_details": { "amount": 10000, "currency": "eur" }, // highlight-start "metadata": { "internal_id": "x-123-456", "extra": "z-aaa-bbb" }, // highlight-end "description": "Payment #x-123-456 by shop1.com" }] } }' ``` #### Step 4. Confirm or cancel the payment Send a [session/confirm](/docs/reference/methods/session-confirm) request or a [session/cancel](/docs/reference/methods/session-cancel) request to confirm or cancel the operation. #### Step 5. Wait for a webhook with the results You may receive multiple [payment_finished](#payment-f) webhooks with the status of each payment attempt and a single [order_finished](#order-f) webhook with the status of the order (once the order is completed and the link is no longer valid). ##### [payment_finished](/docs/reference/webhooks/payment-finished) The result of the payment attempt can be found in the status field of the acquiring_payments/payment_list array: - succeeded means the payment has been successful. This is the final status. - failed means the current payment attempt has not been completed because of an [error](/docs/reference/errors). Webhook example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'content-type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "type": "payment_finished", "session": { "id": "ps_3230", "status": "accepted", "created_at": "2024-05-27T02:03:00.000000Z", "updated_at": "2024-05-27T02:03:00.000000Z", "acquiring_payments": [{ "id": "pm_1313", // highlight-next-line "status": "succeeded", "created_at": "2024-05-27T02:03:00.000000Z", "customer": { "reference": "customer" }, "payment_details": { "type": "card", "card": { "last4": "7890", "brand": "visa" } }, "amount_details": { "amount": 10000, "currency": "eur" }, "metadata": { "internal_id": "x-123-456", "extra": "z-aaa-bbb" }, "description": "Payment #x-123-456 by shop1.com" }] } }' ``` ##### [order_finished](/docs/reference/webhooks/order-finished) You receive this webhook when an order is completed and the payment link is no longer valid. The webhook contains the order identifier and status. If the status is success, the payment was successful. If the status is failed, the payment failed for the reason returned in the webhook. Webhook example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'content-type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "type": "order_finished", "order": { "order_id": "bYGR1PLkQ45Z7Vm9zJQx9G", "status": "success", "reason": null } }' ``` ## Recurring payments With the payment page, you can accept MIT recurring payments: the customer gives their consent for repeated payments and makes the initial payment. Then you can initiate recurring payments without the customer's involvement on your own schedule. When creating a payment link, pass the link_options.is_recurrent: true value in the [POST/payment_link](#payment_link) request. When the user opens the payment link, they will see a checkbox to consent to subsequent charges. Payment page with the recurring payments option If the user checks this box and the payment is successful, you will receive a token in the [recurrent](/docs/reference/objects#recurrent_info) object of the [payment_finished](/docs/reference/webhooks/payment-finished) webhook. [How to check a token status](/docs/payments/payment-recurring#managing-your-tokens) Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/payment_link \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 10000, "currency": "eur" }, "description": "Payment for order #12345", "link_options": { // highlight-next-line "is_recurrent": true }, "metadata": { "internal_id": "x-123-456", "extra": "z-aaa-bbb" }, "payment_methods": [{ "type": "card" }], "payment_options": { "success_return_url": "https://shop.example.com/success", "failure_return_url": "https://shop.example.com/fail" } }' ``` ### How to make recurring payments 1. Create a payment session sending a [session/create](/docs/reference/methods/session-create) request. 2. Send a [session/start/payment](/docs/reference/methods/session-start-payment) request with the recurrent payment type. Instead of a bank card, pass the token. Pass initiator: merchant in the [recurrent](/docs/reference/objects#recurrent_token) object of payment_details or do not specify the initiator at all. Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id":"ps_3230", "payment_details": { "type": "recurrent", "recurrent": { "token": "e9876f32bcd947f79c324cf2da5726304a894f6ae2037de7705fdb3e0a134d39", // highlight-next-line "initiator": "merchant" } }, "amount_details": { "amount": 10000, "currency": "eur" }, "customer": { "reference": "customer" } }' ``` 3. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. 4. Send a [session/confirm](/docs/reference/methods/session-confirm) request or a [session/cancel](/docs/reference/methods/session-cancel) request to confirm or cancel the operation. 5. Wait for a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the [payment status information](/docs/reference/objects#status). ## POST/payment_link Use this request to get a payment link. You can pass the payment method, order description, item list, and amount in the request. >If a list of items is passed, the payer will see them on the payment page. #### Request parameters | Name | Mandatory | Type | Description | |----------------------------------|-----------|--------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | amount_details | + | object | [Payment amount details](/docs/reference/objects#amount_details) | |   amount | + | int | Payment amount in minor currency units. To send 100 EUR, write 10000 | |   currency | + | string | ISO 4217 currency code. Case insensitive | | customer | - | object | Data about the customer in your system | |   reference | + | string | Customer identifier in your system | | payment_methods | - | array | Payment method details. Do not pass the array if you want the user to have access to all payment methods enabled for you.To offer only certain payment methods, pass them. Example: "payment_methods": [{"type": "faster_payment_system"}, {"type": "card"}] | |   type | + | string | Payment method name. Options:- faster_payment_system --- payment via the Faster Payment System - card --- payment by card | | payment_options | - | object | [Additional payment parameters](/docs/reference/objects#payment_options) | |   return_url | - | string | URL by which the user can return to the site at any time | |   success_return_url | - | string | URL to which the user is redirected after the payment is successfully completed | |   failure_return_url | - | string | URL to which the user is redirected if an error occurs during the payment | | link_options | - | object | Additional payment page parameters | |   lang | - | string | Payment page language. Default value: en | |   theme | - | string | Payment page theme. Options: dark, light. Default value: light | |   is_recurrent | - | boolean | Specifies whether the payment page offers the option to agree to recurring payments. If is_recurrent = true, a dedicated checkbox for recurring charges will be shown on the page | | metadata | - (mandatory for submerchants) | * | [Any additional information](/docs/reference/objects#metadata). If the transaction is processed by a submerchant, specify the payment site: "metadata": {"submerchant": "https://website.com"} | | description | + | string | Text to be displayed to the user on the payment page. Example: Order number 345 | | items | - | array | List of purchased items | |   id | + | string | Product item UUID in your system | |   name | + | string | Item name | |   quantity | + | int | Quantity of items | |   amount_details | + | object | Amount details | |     amount | + | int | Item price. The total amount for all the items must match the total of the transaction | |     currency | + | string | Item price currency. The currency must match the currency of the transaction | Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/payment_link \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 10000, "currency": "eur" }, "customer": { "reference": "customer" }, "payment_methods": [{ "type": "faster_payment_system" }], "payment_options": { "success_return_url": "https://test.dev", "failure_return_url": "https://test.dev" }, "items": [{ "amount_details": { "amount": 10000, "currency": "eur" }, "id": "5179a750-c0b0-4211-b3b1-12a72242b1a4", "name": "Premium Pro subscription", "quantity": 1 }], "metadata": { "internal_id": "x-123-456", "extra": "z-aaa-bbb" }, "description": "Payment #x-123-456 by shop1.com" }' ``` #### Response parameters | Name | Mandatory | Type | Description | |--------------------------------|-----------|----------|----------------------------------------------------| | order | + | object | Order details | |   order_id | - | string | Payment link ID | |   payment_page_url | - | string | Payment link | |   active_to | - | dateTime | Payment link expiration date in ISO 8601 format | | error | - | object | [Error description](/docs/reference/objects#error) | Response example ```json showLineNumbers { "order": { "order_id": "B0k84LoQwKPq", "payment_page_url": "https://checkout-demo.smart-glocal.com/pay/ceMjRsrRNRcU4p3G4qLkqx", "active_to": "2026-04-24T14:39:43.000000Z" } } ``` ## Working with request signatures ### Request signature The signature is needed to verify the authenticity and integrity of requests. Smart Glocal verifies that the requests received are in fact from you (and are complete); you verify Smart Glocal's notifications the same way. To create and verify a signature, you will need a private key and a public key. Using your public key Smart Glocal will verify signatures of your incoming requests. ##### Generating a key pair You need to generate a pair of keys on your side using the RSA signature algorithm. ##### Creating request body signature The signature must be transmitted together with the request to Smart Glocal. You need to sign the request body as a whole in the form in which it is sent to Smart Glocal's server (after serializing the request body into JSON to send it over HTTP). Use your private key for signing the request. Create a signature using the SHA-256 algorithm. The resulting signature must then be transmitted in the Base64 format. ##### Verifying incoming requests from Smart Glocal All outgoing requests from Smart Glocal are signed using Smart Glocal's own private key. Using Smart Glocal's public key, you need to verify the signatures of the requests coming from Smart Glocal on your side. The algorithm used is SHA-256. The signature is transmitted in the Base64 format. ##### Smart Glocal's public keys - [for live transactions](/assets/smgl_public.pem) - [for testing](/assets/smgl_public_demo.pem) Signature generation and validation examples ```openssl showLineNumbers # Generating a private key $ openssl genrsa -out private.pem 2048 # Generating a public key based on the private key $ openssl rsa -in private.pem -pubout > public.pem # Creating myfile.txt file contents $ echo test > myfile.txt # Generating a signature $ openssl dgst -sha256 -sign private.pem -out sha256.sign myfile.txt # Signature ready for transfer $ base64 sha256.sign # Checking the signature $ openssl dgst -sha256 -verify public.pem -signature sha256.sign myfile.txt Verified OK ``` ```php showLineNumbers $data = "test"; //Obtaining the pointer to the private and public keys $privateKey = openssl_pkey_get_private("file://private.pem"); $publicKey = openssl_pkey_get_public("file://public.pem"); //Generating a signature based on the data using the private key openssl_sign($data, $signature, $privateKey, OPENSSL_ALGO_SHA256); openssl_free_key($privateKey); //Encoding the signature into Base64 to transmit it $base64Signature = base64_encode($signature); //On receiving the signature, decoding it from Base64 $decodedSignature = base64_decode($base64Signature); //Validating the received signature using the public key (success = 1) $isValid = openssl_verify($data, $decodedSignature, $publicKey, OPENSSL_ALGO_SHA256); ``` ### Integration instructions Please study the following before starting the integration process: - [Quick start guide](/docs/before) - [API interaction](/docs/reference/format) - [Testing](/docs/reference/testing) ## Sequence diagram ![sequenceDiagram](/img/docs/yora/several_attempts.png) ```plantuml @startuml One-time payment autonumber header One-time payment participant User participant Partner participant Payment_Page as PP participant Backend as BE ==create payment link== User -> Partner: Wants to pay for an item Partner -> BE: sends ""payment_link"" BE --> Partner: sends 200 OK Partner -> User: shows the link to the user ==payment attempt 1 (failed)== User -> PP: follows the link to the payment page,\nclicks Pay and selects payment method rnote over Partner, BE Payment starts (attempt 1) endrnote BE -> BE: creates a session BE -> Partner: sends ""ready_to_confirm"" Partner --> BE: sends 200 OK Partner -> Partner: checks details Partner -> BE: sends ""session/confirm"" BE --> Partner: sends 200 OK rnote over Partner, BE Payment by card/by QR code endrnote BE -> Partner: sends ""payment_finished"" status=failed Partner --> BE: sends 200 OK PP -> PP: transaction status page (failed) User -> PP: sees failed status ==payment attempt 2 (successful)== User -> PP: retries payment,\nclicks Pay and selects payment method again rnote over Partner, BE Payment starts (attempt 2) endrnote BE -> BE: creates a new session BE -> Partner: sends ""ready_to_confirm"" Partner --> BE: sends 200 OK Partner -> Partner: checks details Partner -> BE: sends ""session/confirm"" BE --> Partner: sends 200 OK rnote over Partner, BE Payment by card/by QR code endrnote BE -> Partner: sends ""payment_finished"" status=succeeded Partner --> BE: sends 200 OK BE -> Partner: sends ""order_finished"" status=success Partner --> BE: sends 200 OK PP -> PP: transaction status page (successful) User -> PP: sees successful status @enduml ``` ![sequenceDiagram](/img/docs/yora/payment_page_recurring.png) ```plantuml @startuml Recurring payment autonumber header Recurring payment participant User participant Partner participant Payment_Page as PP participant Backend as BE ==payment day== Partner -> BE: sends ""payment_link""\n""link_options.is_recurrent"" = true BE --> Partner: sends payment link Partner -> User: shows the link to the user User -> PP: follows the link to the payment page,\nchecks recurring checkbox rnote over User, BE Successful payment endrnote BE -> Partner: sends ""payment_finished""\nwith token in the ""recurrent"" object Partner --> BE: sends 200 OK BE -> Partner: sends ""order_finished"" status=success Partner --> BE: sends 200 OK ==subscription payment day== Partner -> BE: sends ""session/create"" BE --> Partner: sends 200 OK Partner -> BE: sends ""session/start/payment""\n""type"" = ""recurrent"", token,\n""initiator"" = ""merchant"" BE --> Partner: sends 200 OK BE -> Partner: sends ""ready_to_confirm"" Partner --> BE: sends 200 OK Partner -> BE: sends ""session/confirm"" BE --> Partner: sends 200 OK BE -> BE: withdraws the funds BE -> Partner: sends ""payment_finished"" Partner --> BE: sends 200 OK @enduml ``` --- ## Performing payments with the widget > Source: /docs/widget/payment-widget You can use our payment form widget to perform payments. ```html showLineNumbers Payment form widget
``` ## Getting started To start using our widget, do the following: ### Link the scripts and styles In test environment ```html showLineNumbers ``` For real payments ```html showLineNumbers ``` ### Add the widget container ```html
``` Once the script is linked to the page, the SmglPaymentForm class will appear in the global scope. Now, you can make payments using our widget. ### Validated information The following information is checked: - The card number is 14-18 digits long. - The validity period is a date. > The validity period is not checked for whether it is expired or not! - The CVC/CVV is 3 or 4 digits long and consists of digits only. - If some fields are incorrectly filled in, the customer will see it when they click the **Pay** button. ## Making a payment using the widget Below is an example of how to start any payment through the widget. Complete the following steps: 1. Create a new session every time a user clicks **Pay**. To do this, send a [session/create](/docs/reference/methods/session-create) request. :::info[] Check the [parameters](/docs/payments/params) you need to pass when accepting a payment from [these countries](/docs/payments/payment-intro#countries). ::: >To get a token for recurring payments, you can either use the checkbox from Step 2, or pass recurrent: true in the [payment_options](/docs/reference/objects#payment_options) object. 2. Send a [token](/docs/reference/methods/token-method) request to create a token using the returned session identifier and specifying the widget name. As a result you will receive a public token. > To create a widget with the **I agree to recurring payments** checkbox to get a token for recurring payments, pass true in the show_recurrent_checkbox parameter. Note that initially this checkbox can be either empty (by default) or preselected. If you prefer it to be preselected, please contact your Account Manager. Example ```json {9-10} showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/token \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "acquiring_widget": { "session_id": "ps_34851", "show_recurrent_checkbox": true, "locale":"en" } }' ``` > You can also pass the locale optional parameter to ensure the widget localization stays the same after the user is redirected by a provider for additional services (for example, 3D Secure). Currently, the following values are available: "locale":"en" and "locale":"ru". If this parameter is not passed, "locale":"en" is used. 3. Use the returned public token to initialize the widget. Example ```js const paymentForm = new SmglPaymentForm(publicToken); ``` 4. To display the payment form, call the render() method: Example ```js paymentForm.render(); ``` 5. Let the user interact with the widget through all the required steps. 6. Complete the operation according to the type of payment you are making. You will either receive webhooks or, if the webhooks are deactivated, you will need to check the session status to understand your next step as well as the payment result. > If, while using the widget, you receive an action_required webhook, send the HTTP 200 OK in response but do nothing, as the user will be redirected for 3D Secure within the widget. - [How to make a one-time payment using our widget](/docs/payments/one-time-payment) - [How to make a delayed capture payment using our widget](/docs/payments/payment-capture#how-to-make-a-delayed-capture-payment) - [How to start accepting recurring payments using our widget](/docs/payments/payment-recurring) ## Widget API ### SmglPaymentForm Payment form class constructor. ```js const paymentForm = new SmglPaymentForm(publicToken[, options]) ``` | Parameter | Mandatory | Type | Description | | -------------------------------- | --------- | ----------- | ------------------------- | | publicToken | + | string | Public token | | options | - | object | Additional settings object | |   container | - | HTMLElement | Container into which the form will be inserted. Default value: `| |  isCvcMasked | - | bool | Set this parameter to true to mask the **CVV/CVC** field value| |   hideCardHolderField | -| bool | Set this parameter to true to hide the **Cardholder** input field | |  customerInteractionRedirect | - | Object | Redirection details | |    target | - | string | 3DS window open options*:- _blank - in a new tab- _self- in the same frame- _parent - in the next level up of the frame if they are nested in one another- _top - outside of all the frames as the top windowDefault: _top | |  texts | - | object | UI element parameters | |    failedPaymentScreen | - | object | Failed payment screen | |      title | - | string | Failed payment message. Default value: Error| |    paymentForm | - | object | Payment form | |      buttonPayLabel | - | string | Payment button name. Default value: Pay | |      cardholderLabel | - | string | Cardholder name text. Default value: Cardholder | |      cardholderNote | - | string | Cardholder name prompt text. Default value: none | |      cardholderPlaceholder | - | string | Cardholder name placeholder. Default value: Full name | |      cardNumberLabel | - | string | Card number. Default value: Card number | |      cardNumberNote | - | string | Card number prompt text. Default value: none | |      cardNumberPlaceholder | - | string | Card number placeholder. Default value: 0000 0000 0000 0000 | |      cvvLabel | - | string | CVV/CVC number. Default value: CVC | |      cvvNote | - | string | CVV/CVC number prompt text. Default value: none | |      cvvPlaceholder | - | string | CVV/CVC number placeholder. Default value: CVC | |      expireDateLabel | - | string | Card expiration date. Default value: Expiration date | |      expireDateNote | - | string | Card expiration date prompt text. Default value: As stated on the card | |      expireDatePlaceholder | - | string | Card expiration date placeholder. Default value: MM/YY | |      recurrentLabel | - | string | Recurring payment checkbox. Default value: I agree to recurring payments | |      termsAgreement | - | string | Terms of agreement. The text within the mandatory {{#link}}{{/link}} tags is used as a link to the terms of agreement source. Default value: By pressing Pay, you accept the terms of our {{#link}}user agreement{{/link}} | |    validationErrors | - | object | Field validation error messages | |      INVALID_CARD_NUMBER | - | string | Invalid card number. Default value: Invalid card number | |      INVALID_CVV | - | string | Invalid CVV/CVC. Default value: CVV/CVC has 3 digits | |      INVALID_EXPIRY_DATE | - | string | Invalid card expiration date. Default value: Invalid date | |      IS_REQUIRED | - | string | Required field value is missing. Default value: Required field | |    paymentProcessScreen | - | object | Payment process page | |      description | - | string | Payment processing page text. Default value: Just a moment | |      title | - | string | Payment process screen heading. Default value: Payment processing... | |    redirectionScreen | - | object | Redirecting page (3D Secure) | |      followTheLink | - | string | Invitation message to proceed with redirection in case of automatic redirection failure. The text within the mandatory {{#link}}{{/link}} tags is used as a link. Default value: If you haven't been redirected automatically, use {{#link}}this link{{/link}}. | |      title | - | string | Payment processing page header. Default value: Payment processing... | |      waitForRedirectToBanksPage | - | string | Automatic redirection warning, includes 3 seconds countdown timer. The {{countdown}} value is mandatory and will be replaced with the timer. Use the {{#strong}}{{/strong}} tags to emphasize the timer in bold. Default value: You will be redirected to the issuer bank's page in {{#strong}}{{countdown}} seconds.{{/strong}} | |    successPaymentScreen | - | object | Successful payment page | |      title | - | string | Successful payment page header. Default value: Payment success | |    transactionData | - | object | Transaction data | |      amountLabel | - | string | Transaction amount label. Default value: Amount | |      creditCardLabel | - | string | Payment type data (card type and masked card number) label. Default value: Card | |      transactionIdLabel | - | string | Transaction ID label. Default value: Transaction ID | |    unknownError | - | string | Unknown error message. Default value: Something went wrong... | > \* Note that: > - We do not recommend using the _self option for security reasons. > - If you use the _blank option, the user will need to allow pop-ups in the browser or follow the redirection link from the payment widget. ### Method: paymentForm.render() The method displays the form on the page in the container defined by the options.container parameter. ```js paymentForm.render([options]) ``` | Parameter | Mandatory | Type | Description | | ----------------- | --------- | ----------- | ----------------------------- | | options | - | Object | Additional settings object | | options.container | - | HTMLElement | Container into which the form will be inserted. Default value: | ### Event handlers #### paymentForm.onReady Handles the event of the form getting ready for work. ```js showLineNumbers paymentForm.onReady = function () { /* handler */ } ``` #### paymentForm.onPaymentStart Handles the event occurring at the start of the payment process. ```js showLineNumbers paymentForm.onPaymentStart = function () { /* handler */ } ``` #### paymentForm.onPaymentSuccess Handles the event occurring when the payment process finishes successfully. ```js showLineNumbers paymentForm.onPaymentSuccess = function () { /* handler */ } ``` #### paymentForm.onPaymentFail Handles the event occurring when the payment process finishes unsuccessfully. ```js showLineNumbers paymentForm.onPaymentFail = function (error) { /* handler */ } ``` #### paymentForm.onDestroy Handles the event of the widget getting closed. ```js showLineNumbers paymentForm.onDestroy = () => { /* handler */ } ``` ### Customizing the widget appearance You can link your own styles at the end of the default ones and override them. ```html showLineNumbers ``` ```css showLineNumbers /* custom-styles.css */ .smgl-Field__label { color: green; } ``` > You cannot yet change the appearance of the values entered inside the iframe. This functionality will be added later. Also, you can modify texts of the widget UI elements. Here are what you can change: - labels - placeholders - error messages - prompt texts - button names - footer texts To do that, pass the Options object with UI element parameters within the [SmglPaymentForm](/docs/widget/payment-widget#smglpaymentform) widget constructor. #### Example of how to add a Spanish localization Click here to expand ```javascript showLineNumbers const paymentForm = new SmglPaymentForm('', { isCvcMasked: true, texts: { failedPaymentScreen: { title: 'Error', }, paymentForm: { buttonPayLabel: 'Pagar', cardholderLabel: 'Titular de la tarjeta', cardholderNote: '', cardholderPlaceholder: 'Nombre completo', cardNumberLabel: 'Numero de tarjeta', cardNumberNote: '', cardNumberPlaceholder: '0000 0000 0000 0000', cvvLabel: 'CVC', cvvNote: '', cvvPlaceholder: 'CVC', expireDateLabel: 'Fecha de vencimiento', expireDateNote: '', expireDatePlaceholder: 'MM/AA', recurrentLabel: 'Autorizo pagos recurrentes', termsAgreement: 'Al presionar Pagar, Ud. acepta los terminos de nuestro {{#link}}acuerdo de usuario{{/link}}', }, validationErrors: { INVALID_CARD_NUMBER: 'Numero de tarjeta invalido', INVALID_CVV: 'CVV/CVC tiene 3 digitos', INVALID_EXPIRY_DATE: 'Fecha invalida', IS_REQUIRED: 'Campo requerido', }, paymentProcessScreen: { description: 'Espere un momento', title: 'Procesando el pago...', }, redirectionScreen: { followTheLink: 'Si Ud. no es redirigido automaticamente, use {{#link}}este enlace{{/link}}.', title: 'Procesando el pago...', waitForRedirectToBanksPage: 'Sera redirigido a la pagina web del banco emisor en {{#strong}}{{countdown}} segundos{{/strong}}.', }, successPaymentScreen: { title: 'Exito', }, transactionData: { amountLabel: 'Cantidad', creditCardLabel: 'Tarjeta', transactionIdLabel: 'ID de transaccion', }, unknownError: 'Algo salio mal...', }, }); ``` ### End user errors While interacting with our widget, end users may receive the errors stated below. >If you choose to translate the widget texts into other languages, for example, Spanish, note that for now end users will receive error descriptions still in English. | Error code | Error description | |-------------------------|--------------------------------------------------------------------------| | 3DS_error | To complete the transaction successfully, 3DS authentication is required | | activity_count_exceeded | The activity/amount limit for the card is exceeded | | bank_card_expired | The bank card is past its expiration date | | declined_by_issuer_bank | The operation was declined by the issuer bank | | insufficient_funds` | The card does not have enough funds | --- ## Currency conversion with the widget > Source: /docs/payments/conversion With our payment widget, you can allow your users to make payments in a currency other than that specified for a service or item. The widget will show them the target amount calculated at the current exchange rate along with the period of time during which this rate is guaranteed. To enable this functionality, please contact your Account Manager. >You can set a single target currency for a project. The source currency can be any currency. ## Making a currency conversion payment For example, a user wants to make a payment in euros for a service that is priced in US dollars. 1. Create a session using the [session/create](/docs/reference/methods/session-create) method. In response, you will get the exchange_amounts object containing the source amount, target amount, and applied rate. Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/create \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "amount_details": { "amount": 1000, "currency": "eur" }, "participant_details": { "recipient": { "full_name": "John Richards" } }, "customer": { "reference": "smgl_widget_test" } }' ``` Response example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'content-type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "status": "ok", "session": { "id": "ps_3240", "status": "created", "created_at": "2026-02-25T11:44:26.920749Z", "updated_at": "2026-02-25T11:44:26.920749Z", // highlight-start "exchange_amounts": [{ "source": { "amount": 1000, "currency": "eur" }, "destination": { "amount": 1359, "currency": "usd" }, "rate": 1.358822, "rate_source": "oer", "reserved_to": 1772019896 // highlight-end }] } }' ``` 2. Send a [token](/docs/reference/methods/token-method) request to create a token using the returned session identifier and specifying the widget name. As a result you will receive a public token. Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/token \ -H 'Content-Type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "acquiring_widget": { "session_id": "ps_3240" } }' ``` 3. Use the returned public token to initialize the widget. Example ```js const paymentForm = new SmglPaymentForm(publicToken); ``` 4. To display the payment form, call the render() method: Example ```js paymentForm.render(); ``` 5. Let the user interact with the widget through all the required steps. The user will see the target amount in the target currency and the time left to pay at the specified rate. If the user fails to pay within the specified time, an error will be displayed and the transaction will need to be restarted. 6. Wait for a [ready_to_confirm](/docs/reference/webhooks/ready-to-confirm) webhook. When you receive it, it means that Smart Glocal is ready to make the payment and is waiting for your confirmation. 7. Send a [session/confirm](/docs/reference/methods/session-confirm) request to confirm the operation or a [session/cancel](/docs/reference/methods/session-cancel) request to cancel it. 8. After the customer makes the payment, you will receive a [payment_finished](/docs/reference/webhooks/payment-finished) webhook containing the payment result from Smart Glocal. Webhook example ```json showLineNumbers curl -X POST \ https://partner.com \ -H 'content-type: application/json' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "type": "payment_finished", "session": { "id": "ps_3240", "status": "accepted", "created_at": "2026-02-23T16:03:03.860365Z", "updated_at": "2026-02-23T16:03:31.059975Z", "acquiring_payments": [{ "id": "pm_5810", "status": "succeeded", "created_at": "2026-02-23T16:03:30.908738Z", "finished_at": "2026-02-23T16:03:31.033735Z", "customer": { "reference": "lucky" }, "payment_details": { "type": "card", "card": { "brand": "visa", "last4": "7890", "country_iso3": "GBR" } }, "amount_details": { "amount": 1000, "currency": "eur" }, "amounts": { "fee": { "merchant_fee": { "amount": 1, "currency": "eur" }, "submerchant_custom_fee": { "amount": 1, "currency": "eur" } } } }], "actions": { "confirm": "2026-02-23T16:03:30.950008Z", "capture": "2026-02-23T16:03:30.998963Z" }, "exchange_amounts": [{ "source": { "amount": 1000, "currency": "eur" }, "destination": { "amount": 1359, "currency": "usd" }, "rate": 1.358822, "rate_source": "oer", "reserved_to": 1772019896 }] } }' ``` --- ## Local card payments > Source: /docs/payments/local-cards To make local card payment, use the [standard steps](/docs/payments/one-time-payment). At the same time, in accordance with local requirements, you will be required to provide additional information about the payer. General rules: - The currency must always match that of the country of payment. - document --- payer's national identifier (the format depends on the country). - msisdn --- phone number without the + sign, up to 15 characters. - Address fields (city, street, postal_code, etc.) may be mandatory for cross-border transactions only. - All string fields have length restrictions --- please ensure client-side validation is observed. Check the currency and the set of required sender parameters in the table below: | Country | Currency (ISO 4217) | Required sender parameters | Notes | |---------|------------------------|-------------------------|------------------| | [Brazil](/docs/payments/brazil-cards) |BRL | full_name, email, document | Minimum amount: 1 BRL | | [Chile](/docs/payments/chile-cards) | CLP | full_name, email | Minimum amount: 50 CLP| | [Colombia](/docs/payments/colombia-cards) | COP | full_name, email, document | Minimum amount: 169 COP| | [India](/docs/payments/india-cards) |INR | full_name, email, document, msisdn | Minimum amount: 1 INRAdditionally for cross-border transactions: state, city, street, postal_code, building| | [Indonesia](/docs/payments/indonesia-cards) | IDR | full_name, email, document | Minimum amount: 11,000 IDR| | [Mexico](/docs/payments/mexico-cards) | MXN | full_name, email |Minimum amount: 1 MXN| | [Nigeria](/docs/payments/nigeria-cards) | NGN | full_name, email |Minimum amount: 51 NGN| | [Philippines](/docs/payments/philippines-cards) | PHP | full_name, email, document |Minimum amount: 1 PHP| | [Qatar](/docs/payments/qatar-cards) | QAR | full_name, email, document |Minimum amount: 1 QAR| | [Saudi Arabia](/docs/payments/saudi-arabia-cards) | SAR | full_name, email, document |Minimum amount: 1 SAR| | [Thailand](/docs/payments/thailand-cards) | THB | full_name, email, document |Minimum amount: 1 THB| | [Turkiye](/docs/payments/turkiye-cards) | TRY | full_name, email, document |Minimum amount: 1 TRY| | [Vietnam](/docs/payments/vietnam-cards) | VND | full_name, email, document | Minimum amount: 5,000 VND | --- ## Local card payments in Brazil > Source: /docs/payments/brazil-cards You can make local card payments in Brazil. Currency: **BRL** Minimum payment amount: **1 BRL** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, American Express, ELO** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | |     document | string | CPF number (11 digits) or CNPJ number (14 digits) | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "card", "card": { "type": "bank_card", "bank_card": { "number": "4242424242424242", "expiration_month": "05", "expiration_year": "30", "security_code": "123" } } }, "participant_details": { // highlight-start "sender": { "full_name": "Jane Doe", "email": "janedoe@mymail.com", "document": "12345678901" } // highlight-end }, "customer": { "reference": "lucky" }, "payment_options": { "return_url": "https://website.com" }, "amount_details": { "amount": 10000, // highlight-next-line "currency": "brl" } }' ``` --- ## Local card payments in Chile > Source: /docs/payments/chile-cards You can make local card payments in Chile. Currency: **CLP** Minimum payment amount: **50 CLP** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, American Express, CMR, Mach** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "card", "card": { "type": "bank_card", "bank_card": { "number": "4242424242424242", "expiration_month": "05", "expiration_year": "30", "security_code": "123" } } }, "participant_details": { // highlight-start "sender": { "full_name": "Jane Doe", "email": "janedoe@mymail.com" } // highlight-end }, "amount_details": { "amount": 10000, // highlight-next-line "currency": "clp" }, "customer": { "reference": "lucky" }, "payment_options": { "return_url": "https://website.com" } }' ``` --- ## Local card payments in Colombia > Source: /docs/payments/colombia-cards You can make local card payments in Colombia. Currency: **COP** Minimum payment amount: **169 COP** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, Diners Club, Maestro Debit, Codensa** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | |     document | string | CC or NIT (6 to 11 digits) | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "card", "card": { "type": "bank_card", "bank_card": { "number": "4242424242424242", "expiration_month": "05", "expiration_year": "30", "security_code": "123" } } }, "participant_details": { // highlight-start "sender": { "full_name": "Jane Doe", "email": "janedoe@mymail.com", "document": "12345678901" } // highlight-end }, "amount_details": { "amount": 20000, // highlight-next-line "currency": "cop" }, "customer": { "reference": "lucky" }, "payment_options": { "return_url": "https://website.com" } }' ``` --- ## Local card payments in India > Source: /docs/payments/india-cards You can make local card payments in India. Currency: **INR** Minimum payment amount: **1 INR** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, American Express, Diners Club, Maestro Debit, RuPay** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | |     document | string | Ten-character alphanumeric identifier (PAN) | |     msisdn | string | Phone number (up to 15 characters, without + ) | |     state | string | Sender's state (up to 10 characters) **Mandatory for cross-border transactions only** | |     city | string | Sender's city (3 -- 50 characters) **Mandatory for cross-border transactions only** | |     street | string | Sender's street (4 -- 100 characters) **Mandatory for cross-border transactions only** | |     postal_code | string | Sender's postal code (up to 6 characters) **Mandatory for cross-border transactions only** | |     building | string | Sender's building **Mandatory for cross-border transactions only** | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "card", "card": { "type": "bank_card", "bank_card": { "number": "4242424242424242", "expiration_month": "05", "expiration_year": "30", "security_code": "123" } } }, "participant_details": { // highlight-start "sender": { "full_name": "Jane Doe", "email": "janedoe@mymail.com", "document": "EHFGA5967A", "msisdn": "8826320796", "state": "Goa", "city": "Goa", "street": "Maddo Vaddo", "building": "1207", "postal_code": "403001" } // highlight-end }, "amount_details": { "amount": 10000, // highlight-next-line "currency": "inr" }, "customer": { "reference": "lucky" }, "payment_options": { "return_url": "https://website.com" } }' ``` --- ## Local card payments in Indonesia > Source: /docs/payments/indonesia-cards You can make local card payments in Indonesia. Currency: **IDR** Minimum payment amount: **11,000 IDR** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, American Express, Maestro Debit, JCB** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | |     document | string | NIK number (16 digits) | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id": "ps_3230", "payment_details": { "type": "card", "card": { "type": "bank_card", "bank_card": { "number": "4242424242424242", "expiration_month": "05", "expiration_year": "30", "security_code": "123" } } }, "participant_details": { // highlight-start "sender": { "full_name": "Jane Doe", "email": "janedoe@mymail.com", "document": "1234567890123456" } // highlight-end }, "amount_details": { "amount": 1100000, // highlight-next-line "currency": "idr" }, "customer": { "reference": "lucky" }, "payment_options": { "return_url": "https://website.com" } }' ``` --- ## Local card payments in Mexico > Source: /docs/payments/mexico-cards You can make local card payments in Mexico. Currency: **MXN** Minimum payment amount: **1 MXN** Maximum payment amount: **unlimited** Available payment systems: **Visa Credit, Visa Debit, Mastercard Credit, Mastercard Debit, American Express, Carnet Credit, Carnet Debit** To make a payment, complete the [standard steps](/docs/payments/one-time-payment). :::info[] If you use our widget, pass the mandatory parameters in the session/create method. Otherwise, you can pass the mandatory parameters either in session/create or in session/start/payment. ::: ### Required sender parameters [Check all the required parameters](/docs/reference/methods/session-start-payment) | Name | Type | Description | |---------------------------------|--------|------------------------------------------------------------------| | participant_details | object | [Information on the participants](/docs/reference/objects#participant_details) | |   sender | object | [Sender details](/docs/reference/objects#sender) | |     full_name | string | Sender's full name (3 -- 50 characters) | |     email | string | Sender's email address (up to 64 characters before @) | ### Request example ```json showLineNumbers curl -X POST \ https://demo.smart-glocal.com/api/v1/session/start/payment \ -H 'content-type: application/json' \ -H 'X-PARTNER-PROJECT: your_project_name' \ -H 'X-PARTNER-SIGN: signature' \ -d '{ "session_id":
[...]
